opencv: cv::SelfSimDescriptor Class Reference

Public Types | Public Member Functions | Public Attributes

# cv::SelfSimDescriptor Class Reference

`#include <contrib.hpp>`

List of all members.

## Public Types
enum | { DEFAULT_SMALL_SIZE = 5, DEFAULT_LARGE_SIZE = 41, DEFAULT_NUM_ANGLES = 20, DEFAULT_START_DISTANCE_BUCKET = 3, DEFAULT_NUM_DISTANCE_BUCKETS = 7 }
## Public Member Functions
virtual void | compute (const Mat &img, vector< float > &descriptors, Size winStride=Size(), const vector< Point > &locations=vector< Point >()) const
virtual void | computeLogPolarMapping (Mat &mappingMask) const
size_t | getDescriptorSize () const
Size | getGridSize (Size imgsize, Size winStride) const
SelfSimDescriptor & | operator= (const SelfSimDescriptor &ss)
| SelfSimDescriptor ()
| SelfSimDescriptor (int _ssize, int _lsize, int _startDistanceBucket=DEFAULT_START_DISTANCE_BUCKET, int _numberOfDistanceBuckets=DEFAULT_NUM_DISTANCE_BUCKETS, int _nangles=DEFAULT_NUM_ANGLES)
| SelfSimDescriptor (const SelfSimDescriptor &ss)
virtual void | SSD (const Mat &img, Point pt, Mat &ssd) const
virtual | ~SelfSimDescriptor ()
## Public Attributes
int | largeSize
int | numberOfAngles
int | numberOfDistanceBuckets
int | smallSize
int | startDistanceBucket

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DEFAULT_SMALL_SIZE |
  DEFAULT_LARGE_SIZE |
  DEFAULT_NUM_ANGLES |
  DEFAULT_START_DISTANCE_BUCKET |
  DEFAULT_NUM_DISTANCE_BUCKETS |

## Constructor & Destructor Documentation

cv::SelfSimDescriptor::SelfSimDescriptor | ( | ) |

cv::SelfSimDescriptor::SelfSimDescriptor | ( | int | _ssize,
|  | int | _lsize,
|  | int | _startDistanceBucket = `DEFAULT_START_DISTANCE_BUCKET`,
|  | int | _numberOfDistanceBuckets = `DEFAULT_NUM_DISTANCE_BUCKETS`,
|  | int | _nangles = `DEFAULT_NUM_ANGLES`
| ) |  |

cv::SelfSimDescriptor::SelfSimDescriptor | ( | const SelfSimDescriptor & | ss ) |

virtual cv::SelfSimDescriptor::~SelfSimDescriptor | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::SelfSimDescriptor::compute | ( | const Mat & | img,
|  | vector< float > & | descriptors,
|  | Size | winStride = `Size()`,
|  | const vector< Point > & | locations = `vector< Point >()`
| ) |  | const`[virtual]`

virtual void cv::SelfSimDescriptor::computeLogPolarMapping | ( | Mat & | mappingMask ) | const`[virtual]`

size_t cv::SelfSimDescriptor::getDescriptorSize | ( | ) | const

Size cv::SelfSimDescriptor::getGridSize | ( | Size | imgsize,
|  | Size | winStride
| ) |  | const

SelfSimDescriptor& cv::SelfSimDescriptor::operator= | ( | const SelfSimDescriptor & | ss ) |

virtual void cv::SelfSimDescriptor::SSD | ( | const Mat & | img,
|  | Point | pt,
|  | Mat & | ssd
| ) |  | const`[virtual]`

## Member Data Documentation

int cv::SelfSimDescriptor::largeSize

int cv::SelfSimDescriptor::numberOfAngles

int cv::SelfSimDescriptor::numberOfDistanceBuckets

int cv::SelfSimDescriptor::smallSize

int cv::SelfSimDescriptor::startDistanceBucket

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines